Skip to main content
POST

Authorizations

X-API-Key
string
header
required

Path Parameters

name
string
required

Name of the custom event.

Pattern: [a-z0-9_]{1,50}
Example:

"unique_event_name"

Body

application/json

Contains the properties of the custom event property definition to be created.

name
string
required

The unique name of the custom property.

Maximum string length: 50
Pattern: ^[a-z][a-z0-9_]{1,50}$
Example:

"unique_property_name"

label
string
required

The label of the property.

Maximum string length: 50
Example:

"Property Label"

type
enum<string>
required

Type of the property.

  • STRING: Indicates a property that receives plain text strings.
  • NUMBER: Indicates a property that receives numeric values with up to one decimal.
  • TIMESTAMP: Indicates a property that receives epoch millisecond.
  • URL: Indicates a property that receives URLs, formatted as strings starting with http:// or https://.
Available options:
STRING,
NUMBER,
TIMESTAMP,
URL
Example:

"STRING"

description
string

The description of the property.

Example:

"Describes this property"

Response

Successfully created an event property.

Represents a custom property of a custom event definition.

name
string

The name of the custom property.

Example:

"propertyName"

label
string

The label of the property, used for display purposes.

Maximum string length: 50
Example:

"Property Label"

description
string

The description of the property.

Example:

"Describes this property"

createTime
string<date-time>

The time at which this object is created, formatted in RFC 3339. e.g., 2022-06-01T12:00:00.000Z.

Example:

"2024-08-22T00:00:00.000Z"

type
enum<string>

The data type of the property.

  • STRING: Indicates a property that receives plain text strings.
  • NUMBER: Indicates a property that receives numeric values with up to one decimal.
  • TIMESTAMP: Indicates a property that receives epoch millisecond.
  • URL: Indicates a property that receives URLs, formatted as strings starting with http:// or https://.
Available options:
STRING,
NUMBER,
TIMESTAMP,
URL